8 Star 1 Fork 40

src-openEuler/lcr
关闭

加入 Gitee
与超过 1400万 开发者一起发现、参与优秀开源项目,私有仓库也完全免费 :)
免费加入
文件
该仓库未声明开源许可证文件(LICENSE),使用请关注具体项目描述及其代码上游依赖。
克隆/下载
0029-bugfix-remove-lxc-build-in-CI-to-avoid-failed.patch 1.05 KB
一键复制 编辑 原始数据 按行查看 历史
albatross 提交于 2025-05-22 19:19 +08:00 . sync from upstream
From 10de982d259a9798bcd0fc0eb8df24b5d22513ad Mon Sep 17 00:00:00 2001
From: zhongtao <zhongtao17@huawei.com>
Date: Tue, 8 Apr 2025 17:24:09 +1400
Subject: [PATCH] bugfix:remove lxc build in CI to avoid failed
Signed-off-by: zhongtao <zhongtao17@huawei.com>
---
CI/pr-gateway.sh | 14 +-------------
1 file changed, 1 insertion(+), 13 deletions(-)
diff --git a/CI/pr-gateway.sh b/CI/pr-gateway.sh
index 73c3bc5..1ab4ecc 100755
--- a/CI/pr-gateway.sh
+++ b/CI/pr-gateway.sh
@@ -28,24 +28,12 @@ pip3 install meson ninja
cd ~
-rm -rf lxc
-git clone https://gitee.com/src-openeuler/lxc.git
-pushd lxc
-rm -rf lxc-5.0.2
-./apply-patches || exit 1
-pushd lxc-5.0.2
-mkdir -p build
-meson setup -Dtests=true -Dprefix=/usr build || exit 1
-meson install -C build || exit 1
-popd
-popd
-
ldconfig
pushd lcr
rm -rf build
mkdir build
pushd build
-cmake -DDEBUG=ON -DCMAKE_SKIP_RPATH=TRUE -DENABLE_UT=ON ../ || exit 1
+cmake -DDEBUG=ON -DENABLE_LIBLCR=OFF -DCMAKE_SKIP_RPATH=TRUE -DENABLE_UT=ON ../ || exit 1
make -j $(nproc) || exit 1
make install || exit 1
popd
--
2.43.0
Loading...
马建仓 AI 助手
尝试更多
代码解读
代码找茬
代码优化
1
https://gitee.com/src-openeuler/lcr.git
git@gitee.com:src-openeuler/lcr.git
src-openeuler
lcr
lcr
master

搜索帮助